Что делает команду “sudo склонный - добираются, система обновления установки” делают? [дубликат]

Этот вопрос уже имеет ответ здесь:

Я не знаю то, что эта команда на самом деле сделала бы, или Если мне нужны пакеты ниже?

Не может найти примеры upgrade-system

plutes@plutes-Lenovo-G50-30:~$ sudo apt-get install update
[sudo] password for plutes: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package update
plutes@plutes-Lenovo-G50-30:~$ sudo apt-get install upgrade-system 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  deborphan debsums dialog libfile-fnmatch-perl
The following NEW packages will be installed
  deborphan debsums dialog libfile-fnmatch-perl upgrade-system
0 to upgrade, 5 to newly install, 0 to remove and 0 not to upgrade.
Need to get 382 kB of archives.
After this operation, 1,765 kB of additional disk space will be used.
Do you want to continue? [Y/n] n
Abort.
plutes@plutes-Lenovo-G50-30:~$ sudo apt-get update 
Hit:1 http://security.ubuntu.com/ubuntu disco-security InRelease
Hit:2 http://gb.archive.ubuntu.com/ubuntu disco InRelease
Hit:3 http://gb.archive.ubuntu.com/ubuntu disco-updates InRelease
Hit:4 http://gb.archive.ubuntu.com/ubuntu disco-backports InRelease
Reading package lists... Done
plutes@plutes-Lenovo-G50-30:~$ sudo apt-get upgrade 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.
plutes@plutes-Lenovo-G50-30:~$ 
1
задан 27 October 2019 в 10:18

1 ответ

система обновления является фронтендом APT, который упрощает регулярное обновление систем Debian, только требуя вмешательства администратора каждый раз, когда обновленные пакеты требуют конфигурации новых возможностей.

Это не имеет никакого отношения apt-get update, где update параметр к apt-get. Вам по всей вероятности не нужен пакет upgrade-system.

3
ответ дан 3 December 2019 в 07:19

Другие вопросы по тегам:

Похожие вопросы: